<? 
	/*$package_queue = null;
	$current_user = Model_Users::getCurrent(); 
	if ( $current_user['user_type'] == 'escort' ) {
		$escort = $current_user->getEscort();
		$package_queue = Cubix_Api::getInstance()->call('escorts.getActivePackagesExpiration', array($escort->id));
	}
?>
<script type="text/javascript">
	var headerVars = {
		currentUser	: <?= json_encode($current_user) ?>,
		packageQueue : <?= json_encode($package_queue) ?>,
		tUsername	: "<?= __('username') ?>",
		tPassword	: "<?= __('password') ?>"
	};
</script>

<?
<script type="text/javascript">
	window.addEvent('domready', function(){
		if ( $defined($$('.login-btn')[0]) ) {
			$$('.login-btn')[0].addEvent('click', function(e){
				e.stop();

				this.getParent('form').submit();
			});
		}

		var username = $$('#login-box input[name=username]')[0];
		var password = $$('#login-box input[name=password]')[0];

		if ( ! username || ! password ) return;

		username.addEvent('focus', function(){
			if ( this.get('value') == "<?= __('username') ?>" ) {
				this.set('value', '');
			}			
		});
		username.addEvent('blur', function(){
			if ( ! this.get('value').length ) {
				this.set('value', "<?= __('username') ?>");
			}
		});		

		var initPassword = function(pass) {
			pass.addEvent('focus', function() {
				this.destroy();
				injectNewPassword();
			});
		};

		var injectNewPassword = function() {
			var pass = new Element('input', {
				name: 'password',
				type: 'password',
				'class': 'txt fleft',
				value: ''
			}).inject(username, 'after');

			pass.addEvent('blur', function() {
				if ( ! this.get('value').length ) {
					this.destroy();
					var pass = new Element('input', {
						name: 'password',
						type: 'text',
						'class': 'txt fleft',
						value: "<?= __('password') ?>"
					});
					pass.inject(username, 'after');
					initPassword(pass);
				}
			});

			pass.focus();
			pass.focus();
			pass.focus();
		};

		initPassword(password);
	});

	window.addEvent('domready', function(){
		var mobile_popup = $$('.mobile_popup')[0];
		$$('.mobile_banner').addEvent('click', function(e) {
			e.stop();

			if ( mobile_popup.hasClass('none') ) {
				mobile_popup.removeClass('none');
			}
			else {
				mobile_popup.addClass('none')
			}
		});

		$$('.mobile_popup_x_btn').addEvent('click', function(e) {
			e.stop();
			mobile_popup.addClass('none')
		});
		
		
		<? $current_user = Model_Users::getCurrent(); ?>
		<? if ( ! isset($current_user) ): ?>
		$('fchat').addEvent('click', function(e){
			e.stop();
			Cubix.Popup.Show('500', '520');
		});
		<? else: ?>
			<? if ( $current_user['user_type'] == 'escort' ): ?>
				<? $escort = $current_user->getEscort(); ?>
				<? $package_queue = Cubix_Api::getInstance()->call('escorts.getActivePackagesExpiration', array($escort->id)); ?>
			<? endif; ?>			
			
			<? if ( $current_user['user_type'] == 'escort' && ! $package_queue ): ?>
			$('fchat').addEvent('click', function(e){
				e.stop();
				Cubix.ChatPopup.Show('100', '100', this, 130, 130);
			});
			<? else: ?>
			$('fchat').addEvent('click', function(e){
				e.stop();			
				window.open('http://chat.6annonce.com/chat7/chat.php?hash=<?= session_id() ?>', '6annonce', 'height=620, width=820');
			});
			<? endif; ?>
		<? endif; ?>
		
	});
</script>*/?>

<?
	$home_url = '/';
	/*if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() ) {
		$home_url = '/' . Cubix_I18n::getLang();
	}*/
?>

<div id="header">
	<a id="logo" href="<?= $home_url ?>"><img src="<?= _st('v2.1/logo_main.jpg') ?>" alt="www.6classifieds.com" width="362" height="42" /></a>
	
	<a href="#" class="mobile_banner"><img src="<?= _st('mobile_banner.png') ?>" width="186" height="50" alt="m.6classifieds.com" /></a>
	<div class="mobile_popup none mobilepopup<?php echo Cubix_I18n::getLang() ?>">
		<div class="pos_rel">
			<div class="mobile_popup_x_btn"> &nbsp; </div>
		</div>
	</div>

	<div id="top-menu">
		<a class="home" href="<?= $home_url ?>"><?= __('home') ?></a>
		<? if ( ! $user = Model_Users::getCurrent() ): ?>
			<a class="register" href="<?= $this->getLink('membership-type') ?>"><?= __('register') ?></a>
		<? endif ?>
		<a class="contact" href="<?= $this->getLink('contact') ?>?to=support"><?= __('contact') ?></a>
	</div>
	
	<div id="login-box">
	<? if ( ! $user = Model_Users::getCurrent() ): ?>
		<form action="<?= $this->getLink('signin') ?>" method="post">
			<input type="text" class="txt fleft" name="username" value="<?= __('username') ?>" />
			<input type="text" class="txt fleft" name="password" value="<?= __('password') ?>" />
            <input type="submit" style="visibility: hidden;position: absolute;" />
			<a href="#" class="login-btn">Login</a>
			<div class="clear"></div>
			<!-- 
			<label class="remember_me"><input type="checkbox" name="remember_me" value="1" /> <span> <?= __('remember_me') ?></span></label>
             -->
			<a href="<?= $this->getLink('forgot') ?>"><?= __('forgot_passwd') ?></a>
			<div class="clear"></div>
		</form>
	<? else: ?>
		<div class="sitemenu-logged">
			<?= $this->t('logged_in') ?> <span class="strong"><?= $user->username ?></span> [&nbsp;<a href="<?= $this->getLink('private') ?>"><?= $this->t('private_area') ?></a>, <a href="<?= $this->getLink('signout') ?>"><?= $this->t('signout') ?></a>&nbsp;]
		</div>
	<? endif ?>
	</div>
</div><!-- header -->

<div id="main-menu">
	<a href="<?= $this->getLink('escorts', array('nuove'), true) ?>" class="first"><?= $this->t('new_arrivals') ?></a>
	<a href="<?= $this->getLink('escorts', array('independantes'), true) ?>"><?= $this->t('independent_girls') ?></a>
	<a href="<?= $this->getLink('escorts', array('agence'), true) ?>"><?= $this->t('agency_girls') ?></a>
	<a href="<?= $this->getLink('escorts', array('tours'), true) ?>"><?= $this->t('tours') ?></a>
	<a href="http://www.escortmeetings.com/" target="_blank"><?= $this->t('travel_girls') ?></a>
	<a href="<?= $this->getLink('escorts', array('boys'), true) ?>"><?= $this->t('boys') ?></a>
	<a href="<?= $this->getLink('escorts', array('trans'), true) ?>" class="last"><?= $this->t('trans') ?></a>

	<? 
		$langs = Cubix_Application::getLangs(); 
		$uri = $_SERVER['REQUEST_URI'];
		$ln = $this->request()->ln;
		if ( preg_match("#ln=" . $ln . "#", $uri) ) {
			$uri = preg_replace("/\?ln=[a-z]+/", '', $uri);
		}
			
		if (preg_match("#\?#", $uri) ) {
			$uri .= '&ln=%s';
		}
		else {
			$uri .= '?ln=%s';
		}
	?>
	<div class="flags">
		<?php foreach ( $langs as $lang): ?>
		<a href="#" rel="<?= sprintf($uri, $lang->id) ?>" class="flag-<?= $lang->id ?>"></a>
		<? endforeach; ?>
		<div class="clear"></div>
	</div>

</div><!-- main-menu -->

<div id="sub-menu">
	<a href="<?= $this->getLink('reviews') ?>"><?= __('reviews') ?></a>
	<a href="http://aff.camplace.com/delivery/?w=12&b=LiveCamsLink&t=2&c=6classifiedscom" class="camplacelink" target="_blank" rel="nofollow">Live Cams</a>
	<? /*
	<a href="#" style="width: 130px;" id="forum-lnk"><?= __('forum') ?> (coming soon)</a>
	<a href="#" id="fchat" style="width: 70px;"><?= __('chat') ?><span class="new"> (NEW)</span></a>
	<a href="<?= $this->getLink('cams') ?>" style="width: 25px;"><?= __('cams') ?></a>
	 */ ?>
	<a href="<?= $this->getLink('search') ?>"><?= __('search') ?></a>
    <a href="<?= $this->getLink('comments') ?>"><?= $this->t('latest_comments') ?></a>
    <a href="<?= $this->getLink('escorts', array('happy-hours'), true) ?>"><?= $this->t('hh_escorts') ?></a>
    <a href="<?= $this->getLink('links') ?>"><?= $this->t('links') ?></a>
    <a href="<?= $this->getLink('classified-ads-index') ?>"><?= $this->t('c_ads_top_title') ?></a>
    <a href="<?= $this->getLink('photo-feed-index') ?>" style="padding-right:45px;"><?= $this->t('photo_feed') ?><span class="new"></span></a>
	<? /*<a href="<?= $this->getLink('latest-actions-index') ?>" style="width:156px"><?= $this->t('latest_actions') ?> <span class="new">(NEW)</span></a>*/ ?>
	<a href="<?= $this->getLink('members-choice') ?>">Top 10</a>
	<div class="clear"></div>
</div><!-- sub-menu -->
